@echo off
rem
rem  run as normal user (not administrator)
rem  export file written to current folder
rem

SET ProgFiles86Root=%ProgramFiles(x86)%
SET ExportFile=NextUpExport.txt

if exist %ExportFile% del %ExportFile%
if exist %ExportFile% (
echo Error deleting export file %ExportFile%
goto :END
)

echo Starting Registry Export ....
echo ******* SAPI5 Registry Export ******* >%ExportFile%

rem Acapela Enumerator
call :exportkey32 HKCR\CLSID\{E141A94F-7F12-4278-B70C-457F3BF4D7F1}

rem Acapela Engine
call :exportkey32 HKCR\CLSID\{6B242590-0D65-429b-80E9-97965C99E39F}

rem AT&T Class ID
call :exportkey32 HKCR\CLSID\{7ED7FB3B-1BD2-4218-A2D2-B7F5483C3246}

rem Ivona Class ID
call :exportkey32 HKCR\CLSID\{547E5989-875B-4E87-93D0-15D65D0E9770}

call :exportkey32 HKLM\software\nextuptech
call :exportkey32 HKLM\software\microsoft\speech
call :exportkey32 HKLM\software\att
call :exportkey32 HKLM\software\ivona
call :exportkey32 HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System

IF NOT "%ProgFiles86Root%"=="" (
	call :exportkey64 HKCR\CLSID\{547E5989-875B-4E87-93D0-15D65D0E9770}
	call :exportkey64 HKLM\software\nextuptech
	call :exportkey64 HKLM\software\microsoft\speech
	call :exportkey64 HKLM\software\ivona
	call :exportkey64 HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System
)

call :exportkey HKCU\software\microsoft\speech
call :exportkey HKCU\Software\Classes\VirtualStore

echo.
echo Exported Sapi5 registry entries to %ExportFile%

goto :END

:exportkey
echo. >> %ExportFile%
echo ******* Exporting key %1 >> %ExportFile%
echo. >> %ExportFile%
reg query %1 /S >>%ExportFile% 2>&1
exit /b

:exportkey32
echo. >> %ExportFile%
echo ******* Exporting key (32 bit) %1 >> %ExportFile%
echo. >> %ExportFile%
reg query %1 /S /reg:32 >>%ExportFile% 2>&1
exit /b

:exportkey64
echo. >> %ExportFile%
echo ******* Exporting key (64 bit) %1 >> %ExportFile%
echo. >> %ExportFile%
reg query %1 /S /reg:64 >>%ExportFile% 2>&1
exit /b

:END
echo.
pause
